fixedwindowrollingpolicy.h File Reference

## Classes

class | FixedWindowRollingPolicy
| When rolling over, `FixedWindowRollingPolicy` renames files according to a fixed window algorithm as described below. More...

## Namespaces

| log4cxx
| log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.
| log4cxx::rolling

## Functions

| LOG4CXX_PTR_DEF (FixedWindowRollingPolicy)